Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1691341 - Firefox 66 website based html context menus don't respond
Summary: Firefox 66 website based html context menus don't respond
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-21 12:56 UTC by Andrew Duggan
Modified: 2019-03-28 08:16 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Andrew Duggan 2019-03-21 12:56:07 UTC
Description of problem:

Right-click context menus that are html based and custom don't work in firefox 66


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Visit Website with custom HTML based context menu
2. right click
3.

Actual results:
menu appears but immediately disappears, selection cannot be made

Expected results:
menu appears and selection can be made

Additional info:
Works on firefox 65 on Fedora, firefox 66 on Windows and chrome broken on Fedora 29 firefox 66.

Comment 1 Martin Stransky 2019-03-21 13:12:17 UTC
Should be fixed in upcoming -9 build:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1237138

Comment 2 Andrew Duggan 2019-03-27 11:50:15 UTC
Still broken in firefox-66.0.1-1.fc29.x86_64

Comment 3 Martin Stransky 2019-03-27 20:35:21 UTC
Can you please try standard troubleshooting steps? https://fedoraproject.org/wiki/How_to_debug_Firefox_problems?rd=Bug_info_Firefox#Standard_troubleshooting_steps
Thanks.

Comment 4 Andrew Duggan 2019-03-28 00:28:45 UTC
Broken in --safe-mode
Broken in a new profile
Running X-server (Cinnamon) not Wayland

This URL demonstrates

http://trirand.azurewebsites.net/grid/functionalitycontextmenu

I also downloaded the offical .tar.bz2 from Mozilla,

Issue is in there v66 so I'll refile upstream

Comment 5 Martin Stransky 2019-03-28 08:16:09 UTC
Great, Thanks!


Note You need to log in before you can comment on or make changes to this bug.